"use strict";
this.name = "coyoteQBomb";
this.author = "Okti";
this.copyright = "(C) Okti";
this.licence = "Creative Commons Attribution - Non-Commercial - Share Alike 3.0";
this.description = "Ship script for coyoteQBomb.";

this.shipSpawned = function () {
	//this.ship.reportAIMessages = true;
}

this.checkDistance = function () {
	this.playerArray = system.shipsWithPrimaryRole("coyotekatikrockhermit");
	if (this.playerArray.length == 0) {
		this.ship.remove(true);
	} else {
		if (this.ship.position.distanceTo(this.playerArray[0].position) > 500) {
			this.ship.remove(true);
		}
	}
}